# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mosox"
version = "0.6.2"
authors = ["Chris Arderne <chris@rdrn.me"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "LP matrix generator for GMPL"
readme = "README.md"
license = "MIT"
repository = "https://github.com/carderne/mosox"

[lib]
name = "mosox"
path = "src/lib.rs"

[[bin]]
name = "mosox"
path = "src/main.rs"

[[test]]
name = "bench_perf"
path = "tests/bench_perf.rs"

[[test]]
name = "cli_test"
path = "tests/cli_test.rs"

[[test]]
name = "integration_test"
path = "tests/integration_test.rs"

[[test]]
name = "regression_test"
path = "tests/regression_test.rs"

[dependencies.anyhow]
version = "1.0.100"

[dependencies.clap]
version = "4.5.48"
features = ["derive"]

[dependencies.highs]
version = "2.0.0"

[dependencies.indexmap]
version = "2.12.1"

[dependencies.itertools]
version = "0.14.0"

[dependencies.lasso]
version = "0.7.3"
features = ["multi-threaded"]

[dependencies.pest]
version = "2.8.3"

[dependencies.pest_derive]
version = "2.8.3"

[dependencies.rayon]
version = "1.11.0"

[dependencies.smallvec]
version = "1.15.1"

[dev-dependencies.assert_cmd]
version = "2.0"

[dev-dependencies.predicates]
version = "2.1"

[profile.release]
opt-level = 3
lto = "fat"
codegen-units = 1
debug = 2
panic = "abort"
